Package net.snowflake.client.core

## Class HttpResponseWithHeaders

- java.lang.Object
- - net.snowflake.client.core.HttpResponseWithHeaders

    @SnowflakeJdbcInternalApi
    public class HttpResponseWithHeaders
    extends Object

Simple container for HTTP response data including both body and headers. This provides a clean interface for methods that need access to response headers without exposing internal HTTP client implementation details.

### Constructor Summary

Constructors
`HttpResponseWithHeaders​(String responseBody, Map<String,​String> headers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​String>` `getHeaders()` Get the HTTP response headers as an immutable map.
`String` `getResponseBody()` Get the HTTP response body as a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpResponseWithHeaders

    public HttpResponseWithHeaders​(String responseBody,
                                   Map<String,​String> headers)

### Method Detail

#### getResponseBody

    public String getResponseBody()

Get the HTTP response body as a string.

Returns:
  the response body

#### getHeaders

    public Map<String,​String> getHeaders()

Get the HTTP response headers as an immutable map. If multiple headers exist with the same name, only the last value is included.

Returns:
  immutable map of header name to header value